> ## Documentation Index
> Fetch the complete documentation index at: https://docs.authmatech.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Rotate Key

> Rotate you're key.



## OpenAPI

````yaml /openapi.json post /v1/api/clients/rotate-key
openapi: 3.1.0
info:
  title: Authmatech API
  description: API Documentation
  version: '1.0'
servers:
  - url: http://service.authmatech.com
    description: Generated server url
security:
  - ApiKey: []
paths:
  /v1/api/clients/rotate-key:
    post:
      tags:
        - Client
      summary: Rotate Key
      description: Rotate you're key.
      operationId: rotateKey
      parameters:
        - name: X-CLIENT-ID
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RotateKeyBody'
        required: true
      responses:
        '200':
          description: Rotated successfully
          content:
            application/json:
              example:
                success: true
                messages:
                  - type: SUCCESS
                    httpStatus: OK
                    technical: false
                data:
                  newApiKey: string
        '400':
          description: Invalid request data
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
        '401':
          description: Unauthorized
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
        '500':
          description: Server error
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/Response'
components:
  schemas:
    RotateKeyBody:
      type: object
      properties:
        secretKey:
          type: string
          description: Secret Key
    Response:
      type: object
  securitySchemes:
    ApiKey:
      type: apiKey
      name: X-API-KEY
      in: header

````